Bug 244786 - Windows client clock time offset
Summary: Windows client clock time offset
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: virt-manager (Show other bugs)
(Show other bugs)
Version: 7
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Daniel Berrange
QA Contact: Martin Jenner
URL:
Whiteboard:
Keywords:
Depends On: 245203
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-19 07:38 UTC by Per Steinar Iversen
Modified: 2008-01-22 15:38 UTC (History)
1 user (show)

Fixed In Version: 0.5.3-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-22 15:38:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Per Steinar Iversen 2007-06-19 07:38:53 UTC
Description of problem:

Windows clients have faulty timezone.

Version-Release number of selected component (if applicable):

virt-manager-0.4.0-2.fc7.x86_64


How reproducible:


Steps to Reproduce:

1. Install windows xp as a client under virt-manager
2. Set timezone as usual under windows
3. In my case the time is then 2 hours off under windows, 09:36 on F7 is 07:36
on the windows client.
  
Actual results:

Timezone is off under windows. The timezone is set correctly in F7 and in Window
s XP, but in my case the windows time is then displayed 2 hours off. Setting the
timezone 2 hours further east fixes the problem.

Expected results:

Correct time under windows.


Additional info:

Comment 1 Thomas Antony 2007-06-21 16:15:51 UTC
it's the same here

Comment 2 Daniel Berrange 2007-06-21 16:30:35 UTC
There is no support for starting a guest with its clock synced to localtime -
all guest clocks use UTC currently. Adding  bug 245203 to support localtime in
libvirt.

Comment 3 Red Hat Bugzilla 2007-07-25 02:14:21 UTC
change QA contact

Comment 4 Daniel Berrange 2007-09-27 21:26:53 UTC
Upstream virt-manager now automatically uses localtime when installing Windows
guests. This is already in rawhide and will be in the next Fedora 7 update


Comment 5 Fedora Update System 2008-01-11 22:26:48 UTC
virt-manager-0.5.3-1.fc7, gtk-vnc-0.3.2-1.fc7, python-virtinst-0.300.2-1.fc7, virt-viewer-0.0.2-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update virt-manager gtk-vnc python-virtinst virt-viewer'

Comment 6 Fedora Update System 2008-01-22 15:38:09 UTC
virt-manager-0.5.3-1.fc7, gtk-vnc-0.3.2-1.fc7, python-virtinst-0.300.2-1.fc7, virt-viewer-0.0.2-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.